﻿<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="Default.aspx.cs" Inherits="Infra._Default" %>

<%@ Register Assembly="Infragistics35.WebUI.UltraWebGrid.v9.1, Version=9.1.20091.2067, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.WebUI.UltraWebGrid" TagPrefix="igtbl" %>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >

<HTML>
	<HEAD>
		<title>WebGridRowFilteringAJAX</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<script language="javascript"><!--
		// Create a global JavaScript variable that will be used for AJAX calls to the server
		var objRequest;

		// Create a global JavaScript variable that will be used to store the ID of the last-used filter DropDownList
		var filteredDDID = null;

		// Handles the onchange event of the DropDownlist for row filtering
		function selectionChange(ddl)
		{
			// Get the column that the DropDownList belongs to
			var col = igtbl_getColumnById(ddl.parentElement.id);

			// Get the newly-selected value in the filter DropDownList
			var filValue = ddl.value;

			// Check if there is a previous filter on the grid.  If there is then set that DropDownList value back to its default.
			// Make sure to not reset the filter on the column currently being filtered.
			if (filteredDDID != null && ddl.id != filteredDDID)
				document.getElementById(filteredDDID).value = "(ALL)";

			// Set the ID of the last-used filter DropDownList
		    filteredDDID = ddl.id;

			// Create the request object, depending on the technology available
		    if (window.XMLHttpRequest)
			{
				objRequest = new XMLHttpRequest();
			}
			else if (window.ActiveXObject)
			{
				objRequest = new ActiveXObject("Microsoft.XMLHTTP");
		    }

		    // Sanity check
		    if (objRequest == null)
				return;

			// Build the URL for the request, including a query string
            var url = window.document.URLUnencoded + "?"+col.Key+"=" + filValue;

            // Attach an onreadystatechange event for the AJAX object
            objRequest.onreadystatechange = ProcessResponse;

            // Open the connection
            objRequest.open("GET", url, true);

            // Send the AJAX request with a blank body - the details are in the query string
            objRequest.send(null);
		}

		function ProcessResponse()
		{
			// If the request has been processed completely
			if (objRequest.readyState == 4)
			{
				// See if was successful
				if (objRequest.status == 200)
				{
					// Get the grid object, and call its built-in AJAX request function to make it load its first page
					// after the filter has been completed
					var grid = igtbl_getGridById("UltraWebGrid1");
					grid.invokeXmlHttpRequest(grid.eReqType.Page,grid,1);
				}
				else
				{
					// If the AJAX call was not sucessful, inform the user
					alert("Filter Not Processed Sucessfully");
				}
			}
		}
		--></script>
	</HEAD>
	<body MS_POSITIONING="GridLayout">
		<form id="Form1" method="post" runat="server">
			<igtbl:ultrawebgrid id="UltraWebGrid1" style="Z-INDEX: 101; LEFT: 8px; POSITION: absolute; TOP: 80px"
				runat="server" EnableViewState="False" Width="90%" Height="500px" ImageDirectory="/ig_common/Images/"
				Browser="Xml" oninitializedatasource="UltraWebGrid1_InitializeDataSource1" >
				<DisplayLayout RowHeightDefault="21px" Version="3.00" SelectTypeRowDefault="Single" BorderCollapseDefault="Separate"
					LoadOnDemand="Xml" Name="UltraWebGrid1" CellClickActionDefault="Edit" AllowUpdateDefault="Yes">
					<AddNewBox>
						<Style BorderWidth="1px" BorderColor="InactiveCaption" BorderStyle="Solid" BackColor="Window">


						</Style>
					</AddNewBox>
					<Pager>
						<Style BorderWidth="1px" BorderStyle="Solid" BackColor="LightGray">


						</Style>
					</Pager>
					<HeaderStyleDefault Font-Size="X-Small" Font-Names="Arial" Font-Bold="True" BorderStyle="Solid" ForeColor="#E1E8F5"
						BackColor="#11459E" CustomRules="background-image:url(/ig_common/images/Office2003BlueBG.png);background-repeat:repeat-x;">
						<BorderDetails ColorTop="173, 197, 235" WidthLeft="1px" WidthTop="1px" ColorLeft="173, 197, 235"></BorderDetails>
					</HeaderStyleDefault>
					<FrameStyle Width="90%" BorderWidth="1px" Font-Size="8pt" Font-Names="Verdana" BorderStyle="Solid"
						Height="500px"></FrameStyle>
					<FooterStyleDefault BorderWidth="1px" BorderStyle="Solid" BackColor="LightGray">
						<BorderDetails ColorTop="White" WidthLeft="1px" WidthTop="1px" ColorLeft="White"></BorderDetails>
					</FooterStyleDefault>
					<GroupByBox>
						<Style BorderColor="Window" BackColor="ActiveBorder">
						</Style>
					</GroupByBox>
					<EditCellStyleDefault BorderWidth="0px" BorderStyle="None"></EditCellStyleDefault>
					<SelectedRowStyleDefault ForeColor="White" BackColor="#F09D21" CustomRules="background-image:url(/ig_common/images/Office2003SelRow.png);background-repeat:repeat-x;"></SelectedRowStyleDefault>
					<RowStyleDefault BorderWidth="1px" BorderColor="Black" BorderStyle="Solid" BackColor="Window">
						<Padding Left="3px"></Padding>
						<BorderDetails ColorTop="Window" ColorLeft="Window"></BorderDetails>
					</RowStyleDefault>
				</DisplayLayout>
				<Bands>
				
					<igtbl:UltraGridBand></igtbl:UltraGridBand>
				</Bands>
			</igtbl:ultrawebgrid><asp:button id="Button1" style="Z-INDEX: 102; LEFT: 208px; POSITION: absolute; TOP: 32px" runat="server"
				Width="264px" Text="Post Back"></asp:button></SELECT></form>
	</body>
</HTML>